#include <ch.h>
#include <stdio.h>
#include <stdlib.h>
#include "passref.h"

EXPORTCH int passref_chdl(void *varg) {
  ChInterp_t interp;
  ChVaList_t ap;
  int *ip;
  int retval;

  Ch_VaStart(interp, ap, varg);
  ip = Ch_VaArg(interp, ap, int *);
  retval = passref(*ip);

  Ch_VaEnd(interp, ap);
  return retval;
}
